Package tigase.auth.credentials.entries

## Class PlainCredentialsEntry

- java.lang.Object
- - tigase.auth.credentials.entries.PlainCredentialsEntry

- All Implemented Interfaces:
    `Credentials.Entry`

      public class PlainCredentialsEntry
      extends java.lang.Object
      implements Credentials.Entry

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PlainCredentialsEntry.Decoder` |
    `static class` | `PlainCredentialsEntry.Encoder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlainCredentialsEntry​(java.lang.String password)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMechanism()` | Name of the mechanism for which it will work
    `java.lang.String` | `getPassword()` |
    `boolean` | `verifyPlainPassword​(java.lang.String plain)` | Check if plaintext password will match stored credential

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlainCredentialsEntry

          public PlainCredentialsEntry​(java.lang.String password)

  - ### Method Detail

    - #### getPassword

          public java.lang.String getPassword()

    - #### getMechanism

          public java.lang.String getMechanism()

      Description copied from interface: `Credentials.Entry`
      Name of the mechanism for which it will work
      Specified by:
        `getMechanism` in interface `Credentials.Entry`

    - #### verifyPlainPassword

          public boolean verifyPlainPassword​(java.lang.String plain)

      Description copied from interface: `Credentials.Entry`
      Check if plaintext password will match stored credential
      Specified by:
        `verifyPlainPassword` in interface `Credentials.Entry`